%define upstream_name    Catalyst-Plugin-Session-Store-FastMmap
%define abbrev_name      Catalyst-P-S-Store-FastMmap
%define upstream_version 0.14

Name:       perl-%{abbrev_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    FastMmap session storage backend
License:    Artistic/GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cache::FastMmap) >= 1.290.0
BuildRequires: perl(Catalyst::Plugin::Session) >= 0.270.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(MRO::Compat)
BuildRequires: perl(Path::Class)
BuildArch:  noarch

Requires:   perl(MooseX::Emulate::Class::Accessor::Fast)
Provides:   perl-%{upstream_name}
Obsoletes:  perl-%{upstream_name}

%description
Catalyst::Plugin::Session::Store::FastMmap is a fast session storage plugin for
Catalyst that uses an mmap'ed file to act as a shared memory interprocess
cache. It is based on Cache::FastMmap.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL installdirs=vendor
%make

%check
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%files
%defattr(-,root,root)
%doc Changes META.yml README
%perl_vendorlib/Catalyst
%_mandir/*/*

%clean
rm -rf %{buildroot}

%changelog
* Fri Apr 08 2011 jquelin <jquelin> 0.140.0-1.mga1
+ Revision: 82237
- update to 0.14

* Wed Jan 26 2011 jquelin <jquelin> 0.130.0-1.mga1
+ Revision: 41012
- mageia rebuild
- imported package perl-Catalyst-P-S-Store-FastMmap

